UNIT unitTUhrwerk;

interface

//--------------------  ggf Uses-Liste anpassen !  --------------------
uses unitTZaehler, SysUtils;

type
  TUhrwerk = class

  private //Attribute
    hundertstel : TZaehler;
    sekunden : TZaehler;

     //Objektbeziehungen:
        // hatTZaehler1, // hatTZaehler2 : TZaehler;

  public //Methoden
    constructor erzeuge; virtual;
    procedure setzeRueck; virtual;
    procedure ticke; // nicht berschreibbar
    function gibZeit : string; virtual;

   end;

implementation

//+---------------------------------------------------------------------
//|         TUhrwerk: Methodendefinition 
//+---------------------------------------------------------------------

//-------- erzeuge (public) --------------------------------------------
constructor TUhrwerk.erzeuge;
begin
  Sekunden       := TZaehler.erzeuge(60);
  Hundertstel    := TZaehler.erzeuge(100);
end;

//-------- setzeRueck (public) -----------------------------------------
procedure TUhrwerk.setzeRueck;
begin
  Sekunden.setzeWert(0);
  Hundertstel.setzeWert(0);
end;

//-------- ticke (public) ----------------------------------------------
procedure TUhrwerk.ticke;
begin
  Hundertstel.erhoehe;
  if Hundertstel.GibWert = 0 then
    Sekunden.erhoehe;
end;

//-------- gibZeit (public) --------------------------------------------
function TUhrwerk.gibZeit : string;
begin
  result := ' ' + sekunden.gibStringWert + ':' + hundertstel.gibStringWert;
end;

end.
