UNIT unitTZaehler;

interface

//--------------------  ggf Uses-Liste anpassen !  --------------------
uses SysUtils;

type
  TZaehler = class

  private //Attribute
    limit : integer;
    wert : integer;

  public //Methoden
    constructor erzeuge (limit: integer); virtual;
    procedure erhoehe; virtual;
    procedure setzeWert (vorgabe: integer); virtual;
    function gibStringwert : string; virtual;
    function gibWert : integer; virtual;

   end;

implementation

//+---------------------------------------------------------------------
//|         TZaehler: Methodendefinition 
//+---------------------------------------------------------------------

//-------- erzeuge (public) --------------------------------------------
constructor TZaehler.erzeuge (limit: integer);
begin
  //TZaehler.Create;
  wert := 0;
  self.limit := limit;
end;

//-------- erhoehe (public) --------------------------------------------
procedure TZaehler.erhoehe;
begin
  wert := (wert + 1) mod limit;
end;

//-------- setzeWert (public) ------------------------------------------
procedure TZaehler.setzeWert (vorgabe: integer);
begin
  wert :=  vorgabe;
end;

//-------- gibStringwert (public) --------------------------------------
function TZaehler.gibStringwert : string;
begin
  if wert < 10 then
    result := '0' + inttostr(wert)
  else
    result := inttostr(wert);
end;

//-------- gibWert (public) --------------------------------------------
function TZaehler.gibWert : integer;
begin
  result  := wert
end;

end.
